%define name	pymol
%define version 1.2
%define extraversion r2
%define release %mkrel 2.%{extraversion}.1

Summary:	PyMOL Molecular Graphics System
Name:		%name
Version:	%version
Release:	%release
License:	Python license
Group:		Sciences/Chemistry
URL:		http://www.pymol.org
Source:		%{name}_%{version}%{extraversion}.tar.gz
Source1:	%name.png
BuildRoot:	%_tmppath/%name-root
Requires:	python python-numeric tcl tk tkinter Pmw tcsh
BuildRequires:	python-devel python-numeric-devel
BuildRequires:	png-devel MesaGLU-devel libmesaglut-devel
BuildRequires:	freetype2-devel imagemagick

%description
PyMOL is a molecular graphics system with an embedded Python interpreter 
designed for real-time visualization and rapid generation of high-quality 
molecular graphics images and animations. It is fully extensible and 
available free to everyone via the "Python" license.  Although a newcomer 
to the field, PyMOL can already be used to generate stunning images and 
animations with unprecedented ease. It can also perform many other 
valuable tasks (such as editing PDB files) to assist you in your research.

%prep
%setup -q

%build
python ./setup.py build

%install
rm -rf %{buildroot}
python ./setup.py install --root=%buildroot

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -R scripts data %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_bindir}
cat <<EOF >%{buildroot}%{_bindir}/%{name}
export PYMOL_DATA=/usr/share/pymol/data
export PYMOL_SCRIPTS=/usr/share/pymol/scripts
export PYMOL_PATH=/usr/bin/pymol

python %{python_sitearch}/pymol/__init__.py
EOF

# menu
install -d $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=PyMol
Comment=Python controlled molecular graphics
Exec=pymol
Icon=pymol
Type=Application
Categories=Chemistry;Science;
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert %SOURCE1 -resize 16x16 %buildroot%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot%{_iconsdir}/%{name}.png
cp %SOURCE1 %buildroot%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr (-,root,root)
%doc ChangeLog DEVELOPERS LICENSE README
%doc examples
%python_sitearch/*
%_datadir/%name
%attr(0755,root,root) %_bindir/%name
%_datadir/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Nov 30 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.2-2.r2.1mdv2010.1
+ Revision: 471797
- Update to r2 (commit svn r3866)
- Fix rpmlint warnings (spaces and tabs, buildroot cleanup)
- Fix version number

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - Add 'export PYMOL_PATH' (fix bug #56043)

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2-1mdv2010.0
+ Revision: 444876
- Update to new version 1.2r1, use tarball from Debian

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0-9mdv2010.0
+ Revision: 441990
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.0-8mdv2009.1
+ Revision: 319200
- rebuild with python 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.0-7mdv2009.1
+ Revision: 310799
- rebuild for new tcl/tk and tkinter

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-6mdv2009.0
+ Revision: 259427
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-5mdv2009.0
+ Revision: 247302
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0-3mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Sun Aug 19 2007 Funda Wang <fwang@mandriva.org> 1.0-3mdv2008.0
+ Revision: 66539
- fix permisson of executable

* Sat Aug 18 2007 Funda Wang <fwang@mandriva.org> 1.0-2mdv2008.0
+ Revision: 65424
- add icon from debian

* Fri Aug 17 2007 Funda Wang <fwang@mandriva.org> 1.0-1mdv2008.0
+ Revision: 65329
- fix wrapper script
- fix build
- fix file list
- fix br name
- New version 1.0


* Mon Jul 25 2005 Austin Acton <austin@mandriva.org> 0.98-1mdk
- 0.98
- fix license

* Mon Jul 25 2005 Austin Acton <austin@mandriva.org> 0.97-3mdk
- rebuild for new python

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.97-2mdk
- Rebuild for new python

* Thu Sep 30 2004 Austin Acton <austin@mandrake.org> 0.97-1mdk
- 0.97
- new menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.93-1mdk
- 0.93
- fix buildrequires

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.90-1mdk
- 0.90

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.82-2mdk
- rebuild

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.82-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial build

